Bug 24259 - Installation Fails During Package Initialization
Summary: Installation Fails During Package Initialization
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-18 04:07 UTC by Kevan Wilkerson
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 17:12:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevan Wilkerson 2001-01-18 04:07:49 UTC
--------BRIEF RANT----------
I have seen many errors similar to this one, but most of them involved 
indexhtml. This one involves vixie-cron... I have read all of the other 
bug reports, and I see that you have posted an update image file, but HOW 
DOES THAT HELP SOMEONE WHO HAS NOT INSTALLED IT YET? I have successfully 
installed previous versions(in the past), but I cannot find the reason for 
my problem.
---------END RANT-----------

---------Details------------

I am installing from my hard drive(FAT).

My system:

Abit VA6
P3 733
256 MB RAM
GeForce 256
SB Live!
3COM 3C900B-TPO
20 MB Maxtor UDMA 66(15 GB FAT 32, 1 GB FAT, the rest belongs to Linux)
13 GB IBM UDMA 66(all FAT 32)
Afreey IDE DVD/CD-ROM

-------End Details---------

-----Error Message---------

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: vixie-cron

Local variables in innermost frame:
self: <comps.HeaderList instance at 8229758>
item: vixie-cron

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>

------The End--------

Comment 1 Kevan Wilkerson 2001-01-18 16:57:58 UTC
ran anaconda using linux updates at boot prompt

update image: update-disk-20001009.img

----------Error Message-----------

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", line 
33, in __call__
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, in 
readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: vixie-cron

Local variables in innermost frame:
self: <comps.HeaderList instance at 82fc528>
item: vixie-cron

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>

---------The End-----------

Comment 2 Kevan Wilkerson 2001-01-18 17:40:17 UTC
I discovered that the following files contain the string vixie-cron:

--RPMs--
modutils-2.3.14-3.i386.rpm

--base--
comps
hdlist
stage2.img

So, I downloaded them from ftp.redhat.com using a BINARY connection.

Once again, I used linux updates at the boot prompt and update-disk-20001009.img

THE SAME ERROR MESSAGE WAS DISPLAYED.

Today, I am going to purchase the RedHat 7.0 CD-ROM. If I see that error 
message with the CD, I am gonna be one unhappy boy.

Comment 3 Michael Fulbright 2001-01-19 17:11:49 UTC
The hard drive install is one of the more difficult methods to setup.
Downloading the ISO images and burning CDs is usually more successful.

I hope you have better luck with the CDs.


Note You need to log in before you can comment on or make changes to this bug.